.layout {
  position: relative;
  display: flex;
  flex-direction: column;
  flex: 1 1 auto;

  width: 100%;

  overflow: auto;

  &__orientation {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;

    display: flex;
    align-items: center;
    justify-content: center;

    background-color: gray;

    text-align: center;
    font-size: 1.5em;
    color: white;

    z-index: 100;
  }

  &--landscape {
    flex-direction: row;
  }
}
